# ../addons/eventscripts/gungame/scripts/custom/gg_twl_win/gg_twl_win_config.py

# ============================================================================
# >> IMPORTS
# ============================================================================
# EventScripts Imports
import es
import cfglib

# GunGame Imports
from gungame51.core.cfg import generate_header

# ============================================================================
# >> GLOBAL VARIABLES
# ============================================================================
config = cfglib.AddonCFG('%s/cfg/' % es.ServerVar('eventscripts_gamedir') +
    'gungame51/custom_addon_configs/gg_twl_win.cfg')

# ============================================================================
# >> LOAD & UNLOAD
# ============================================================================
def load():
    generate_header(config)


    # TWL Win
    config.text('')
    config.text('='*76)
    config.text('>> TWL WIN')
    config.text('='*76)
    config.text('Description:')
    config.text('   Does not store wins in the database and runs warmup ' +
                'when there is a')
    config.text('   winner before changing maps to allow screenshots to be taken.')
    config.text('Options:')
    config.text('   0 = (Disabled)')
    config.text('   1 = (Enabled)')
    config.text('Default Value: 0')
    config.cvar('gg_twl_win', 1, 'Enables/Disables ' +
                'gg_twl_win.').addFlag('notify')
    config.text('')

    config.write()
    es.dbgmsg(0, '\tgg_twl_win.cfg')

def unload():
    global config

    # Remove the "notify" flags as set by addFlag('notify')
    for cvar in config.getCvars().keys():
        es.flags('remove', 'notify', cvar)
    
    # Delete the cfglib.AddonCFG instance
    del config